# Alarm clock

Arduino alarm clock with binary matrix LED display and capacitive touch buttons.

## Features

* 8×8 LED display using two 74HC595N
* hour-minute-second binary display
* buzzer alarm
* capacitive touch buttons for settings
* big pushbutton for stopping alarm

## Notes

A NE555 is used for generating a high-frequency PWM signal, feeding one 74HC's "Output Enable" port. This is because otherwise the LEDs are too bright, and playing with the serial signal to reduce brightness is not fast enough (it produces a perceptible blinking). Also, using the Arduino's internal PWM causes the serial transmission to behave erratically. And of course, as 74HC uses logical gates, it needs a binary (PWM) signal, not analog.

## TODO

* supercapacitor & low-voltage detection
* casing
* multiple alarms
* date (at least weekday)
* connection with online timetable?
* progressive alarm ringing
* capacitive sensing causes LED matrix to flicker
* better calibrate display PWM
* light sensor for display PWM
* save alarm time & automatically retrieve time from network or RF

## License

GNU AGPL v3, CopyLeft 2022 Pascal Engélibert

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3 of the License.  
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.  
You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/.
